summaryrefslogtreecommitdiffstats
path: root/src/egl/wayland/wayland-egl/wayland-egl-symbols-check
diff options
context:
space:
mode:
Diffstat (limited to 'src/egl/wayland/wayland-egl/wayland-egl-symbols-check')
-rwxr-xr-xsrc/egl/wayland/wayland-egl/wayland-egl-symbols-check16
1 files changed, 16 insertions, 0 deletions
diff --git a/src/egl/wayland/wayland-egl/wayland-egl-symbols-check b/src/egl/wayland/wayland-egl/wayland-egl-symbols-check
new file mode 100755
index 0000000..0c5fd09
--- /dev/null
+++ b/src/egl/wayland/wayland-egl/wayland-egl-symbols-check
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+FUNCS=$(nm -D --defined-only ${1-.libs/libwayland-egl.so} | grep -o "T .*" | cut -c 3- | while read func; do
+( grep -q "^$func$" || echo $func ) <<EOF
+wl_egl_window_resize
+wl_egl_window_create
+wl_egl_window_destroy
+wl_egl_window_get_attached_size
+_fini
+_init
+EOF
+done)
+
+test ! -n "$FUNCS" || echo $FUNCS
+test ! -n "$FUNCS"
+